/****************************************************************************
** Form implementation generated from reading ui file './alcoholdialog.ui'
**
** Created:
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "alcoholdialog.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "fixedspinbox.h"

/*
 *  Constructs a AlcoholDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
AlcoholDialog::AlcoholDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "alcoholtool" );
    alcoholtoolLayout = new QVBoxLayout( this, 11, 6, "alcoholtoolLayout"); 

    groupbox = new QGroupBox( this, "groupbox" );
    groupbox->setFrameShape( QGroupBox::GroupBoxPanel );
    groupbox->setFrameShadow( QGroupBox::Sunken );
    groupbox->setColumnLayout(0, Qt::Vertical );
    groupbox->layout()->setSpacing( 6 );
    groupbox->layout()->setMargin( 11 );
    groupboxLayout = new QGridLayout( groupbox->layout() );
    groupboxLayout->setAlignment( Qt::AlignTop );

    abv = new QLabel( groupbox, "abv" );

    groupboxLayout->addWidget( abv, 3, 1 );

    oglabel = new QLabel( groupbox, "oglabel" );

    groupboxLayout->addWidget( oglabel, 0, 0 );

    fg = new FixedSpinBox( groupbox, "fg" );

    groupboxLayout->addWidget( fg, 1, 1 );

    og = new FixedSpinBox( groupbox, "og" );

    groupboxLayout->addWidget( og, 0, 1 );

    fglabel = new QLabel( groupbox, "fglabel" );

    groupboxLayout->addWidget( fglabel, 1, 0 );
    spacerone = new QSpacerItem( 12, 12, QSizePolicy::Minimum, QSizePolicy::Fixed );
    groupboxLayout->addItem( spacerone, 2, 0 );

    abvlabel = new QLabel( groupbox, "abvlabel" );

    groupboxLayout->addWidget( abvlabel, 3, 0 );

    abwlabel = new QLabel( groupbox, "abwlabel" );

    groupboxLayout->addWidget( abwlabel, 4, 0 );

    abw = new QLabel( groupbox, "abw" );

    groupboxLayout->addWidget( abw, 4, 1 );
    alcoholtoolLayout->addWidget( groupbox );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    spacertwo = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacertwo );

    finished = new QPushButton( this, "finished" );
    finished->setDefault( TRUE );
    layout2->addWidget( finished );
    alcoholtoolLayout->addLayout( layout2 );
    languageChange();
    resize( QSize(206, 200).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( finished, SIGNAL( clicked() ), this, SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AlcoholDialog::~AlcoholDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AlcoholDialog::languageChange()
{
    setCaption( tr( "Alcohol Tool" ) );
    groupbox->setTitle( tr( "Alcohol" ) );
    abv->setText( tr( "99.9%" ) );
    oglabel->setText( tr( "&Original gravity" ) );
    fglabel->setText( tr( "&Final gravity" ) );
    abvlabel->setText( tr( "Alcohol by Volume" ) );
    abwlabel->setText( tr( "Alchohol by Weight" ) );
    abw->setText( tr( "99.9%" ) );
    finished->setText( tr( "&Finished" ) );
    finished->setAccel( QKeySequence( tr( "Alt+F" ) ) );
}

#include "alcoholdialog.moc"
