/****************************************************************************
** Form implementation generated from reading ui file './hopview.ui'
**
** Created:
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "hopview.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "fixedspinbox.h"

/*
 *  Constructs a HopView as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
HopView::HopView( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "hopview" );
    hopviewLayout = new QVBoxLayout( this, 8, 4, "hopviewLayout"); 

    hoplistview = new QListView( this, "hoplistview" );
    hoplistview->addColumn( tr( "Hop" ) );
    hoplistview->addColumn( tr( "Quantity" ) );
    hoplistview->addColumn( tr( "Alpha" ) );
    hoplistview->addColumn( tr( "Form" ) );
    hoplistview->addColumn( tr( "Time" ) );
    hoplistview->setFrameShape( QListView::StyledPanel );
    hoplistview->setFrameShadow( QListView::Sunken );
    hoplistview->setAllColumnsShowFocus( TRUE );
    hoplistview->setShowSortIndicator( TRUE );
    hopviewLayout->addWidget( hoplistview );

    layout1 = new QHBoxLayout( 0, 0, 4, "layout1"); 

    namelabel = new QLabel( this, "namelabel" );
    layout1->addWidget( namelabel );

    namecombo = new QComboBox( FALSE, this, "namecombo" );
    namecombo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 1, 0, namecombo->sizePolicy().hasHeightForWidth() ) );
    namecombo->setEditable( TRUE );
    namecombo->setAutoCompletion( TRUE );
    namecombo->setDuplicatesEnabled( FALSE );
    layout1->addWidget( namecombo );
    hopviewLayout->addLayout( layout1 );

    layout5 = new QHBoxLayout( 0, 0, 4, "layout5"); 

    quantitylabel = new QLabel( this, "quantitylabel" );
    layout5->addWidget( quantitylabel );

    quantityspin = new FixedSpinBox( this, "quantityspin" );
    quantityspin->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, quantityspin->sizePolicy().hasHeightForWidth() ) );
    layout5->addWidget( quantityspin );

    alphalabel = new QLabel( this, "alphalabel" );
    layout5->addWidget( alphalabel );

    alphaspin = new FixedSpinBox( this, "alphaspin" );
    alphaspin->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, alphaspin->sizePolicy().hasHeightForWidth() ) );
    layout5->addWidget( alphaspin );

    formlabel = new QLabel( this, "formlabel" );
    layout5->addWidget( formlabel );

    formcombo = new QComboBox( FALSE, this, "formcombo" );
    formcombo->setEditable( TRUE );
    layout5->addWidget( formcombo );

    timelabel = new QLabel( this, "timelabel" );
    layout5->addWidget( timelabel );

    timespin = new QSpinBox( this, "timespin" );
    timespin->setMaxValue( 120 );
    timespin->setLineStep( 5 );
    layout5->addWidget( timespin );
    spacer1 = new QSpacerItem( 26, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer1 );

    addbutton = new QPushButton( this, "addbutton" );
    layout5->addWidget( addbutton );

    applybutton = new QPushButton( this, "applybutton" );
    layout5->addWidget( applybutton );

    removebutton = new QPushButton( this, "removebutton" );
    layout5->addWidget( removebutton );
    hopviewLayout->addLayout( layout5 );
    languageChange();
    resize( QSize(567, 156).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    namelabel->setBuddy( namecombo );
    formlabel->setBuddy( formcombo );
    timelabel->setBuddy( timespin );
}

/*
 *  Destroys the object and frees any allocated resources
 */
HopView::~HopView()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HopView::languageChange()
{
    setCaption( tr( "Hop" ) );
    hoplistview->header()->setLabel( 0, tr( "Hop" ) );
    hoplistview->header()->setLabel( 1, tr( "Quantity" ) );
    hoplistview->header()->setLabel( 2, tr( "Alpha" ) );
    hoplistview->header()->setLabel( 3, tr( "Form" ) );
    hoplistview->header()->setLabel( 4, tr( "Time" ) );
    QToolTip::add( hoplistview, tr( "Hops list" ) );
    QWhatsThis::add( hoplistview, tr( "<p>This list contains the hops entered in the recipe. The items contain the name, quantity, form, alpha and boil time for the hop. You may click on a header to sort the hops by that column.</p>" ) );
    namelabel->setText( tr( "&Name" ) );
    QToolTip::add( namecombo, tr( "Name" ) );
    QWhatsThis::add( namecombo, tr( "<p>Use this control to select the desired hop</p>" ) );
    quantitylabel->setText( tr( "&Quantity" ) );
    QToolTip::add( quantityspin, tr( "Quantity" ) );
    QWhatsThis::add( quantityspin, tr( "<p>Use this control to enter the quantity of this hop.</p>\n"
"<p>The units of measurement (US or Metric) can be set in the configuration dialog.</p>" ) );
    alphalabel->setText( tr( "&Alpha" ) );
    QToolTip::add( alphaspin, tr( "Alpha" ) );
    QWhatsThis::add( alphaspin, tr( "<p>Use this control to set the alpha acid (AAU) of the hop.</p>\n"
"<p><em>Alpha acid units</em> are a measurement of the primary bittering contribution of a hop.</p>" ) );
    formlabel->setText( tr( "&Form" ) );
    QToolTip::add( formcombo, tr( "Form" ) );
    QWhatsThis::add( formcombo, tr( "<p>Use this control to select the form of the hop.</p>\n"
"<p>You may select the default form for hops in the configuration dialog.</p>" ) );
    timelabel->setText( tr( "T&ime" ) );
    timespin->setSuffix( tr( " min" ) );
    QToolTip::add( timespin, tr( "Time" ) );
    QWhatsThis::add( timespin, tr( "<p>Use this control to set the boil time of the item.</p>\n"
"<p><em>Boil time</em> is how long the hop is boiled in the recipe. Longer boils extract more bitterness, while shorter boils retain more aroma and flavor.</p>" ) );
    addbutton->setText( QString::null );
    addbutton->setAccel( QKeySequence( tr( "Ctrl+Ins" ) ) );
    QToolTip::add( addbutton, tr( "Add Hop" ) );
    QWhatsThis::add( addbutton, tr( "<p>Click the button to add the ingredient to the recipe.</p>\n"
"<p>You can also type <b>Ctrl+Insert</b> to add.</p>" ) );
    applybutton->setText( QString::null );
    applybutton->setAccel( QKeySequence( tr( "Ctrl+Enter" ) ) );
    QToolTip::add( applybutton, tr( "Apply/Change Hop" ) );
    QWhatsThis::add( applybutton, tr( "<p>Click the button to apply the ingredient to the recipe.</p>\n"
"<p>You can also type <b>Ctrl+Enter</b> to apply.</p>" ) );
    removebutton->setText( QString::null );
    removebutton->setAccel( QKeySequence( tr( "Ctrl+Del" ) ) );
    QToolTip::add( removebutton, tr( "Remove Hop" ) );
    QWhatsThis::add( removebutton, tr( "<p>Click the button to remove the ingredient from the recipe.</p>\n"
"<p>You can also type <b>Ctrl+Delete</b> to remove.</p>" ) );
}

#include "hopview.moc"
