/****************************************************************************
** Form implementation generated from reading ui file './styleview.ui'
**
** Created:
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "styleview.h"

#include <qvariant.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "fixedspinbox.h"

/*
 *  Constructs a StyleView as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
StyleView::StyleView( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "StyleView" );
    StyleViewLayout = new QVBoxLayout( this, 8, 4, "StyleViewLayout"); 

    stylelistview = new QListView( this, "stylelistview" );
    stylelistview->addColumn( tr( "Style" ) );
    stylelistview->addColumn( tr( "Min. OG" ) );
    stylelistview->addColumn( tr( "Max. OG" ) );
    stylelistview->addColumn( tr( "Min. FG" ) );
    stylelistview->addColumn( tr( "Max.FG" ) );
    stylelistview->addColumn( tr( "Min. IBU" ) );
    stylelistview->addColumn( tr( "Max. IBU" ) );
    stylelistview->addColumn( tr( "Min. SRM" ) );
    stylelistview->addColumn( tr( "Max. SRM" ) );
    stylelistview->setFrameShape( QListView::StyledPanel );
    stylelistview->setFrameShadow( QListView::Sunken );
    stylelistview->setAllColumnsShowFocus( TRUE );
    stylelistview->setShowSortIndicator( TRUE );
    StyleViewLayout->addWidget( stylelistview );

    layout1 = new QHBoxLayout( 0, 0, 4, "layout1"); 

    namelabel = new QLabel( this, "namelabel" );
    layout1->addWidget( namelabel );

    namecombo = new QComboBox( FALSE, this, "namecombo" );
    namecombo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 1, 0, namecombo->sizePolicy().hasHeightForWidth() ) );
    namecombo->setEditable( TRUE );
    namecombo->setAutoCompletion( TRUE );
    namecombo->setDuplicatesEnabled( FALSE );
    layout1->addWidget( namecombo );
    StyleViewLayout->addLayout( layout1 );

    layout3 = new QGridLayout( 0, 1, 1, 0, 4, "layout3"); 

    ibuhilabel = new QLabel( this, "ibuhilabel" );

    layout3->addWidget( ibuhilabel, 1, 4 );

    oglowlabel = new QLabel( this, "oglowlabel" );

    layout3->addWidget( oglowlabel, 0, 0 );
    spacer2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer2, 1, 8 );

    ibulowlabel = new QLabel( this, "ibulowlabel" );

    layout3->addWidget( ibulowlabel, 0, 4 );

    oghilabel = new QLabel( this, "oghilabel" );

    layout3->addWidget( oghilabel, 1, 0 );

    ibuhispin = new QSpinBox( this, "ibuhispin" );
    ibuhispin->setMaxValue( 120 );

    layout3->addWidget( ibuhispin, 1, 5 );

    addbutton = new QPushButton( this, "addbutton" );

    layout3->addWidget( addbutton, 1, 9 );

    srmhilabel = new QLabel( this, "srmhilabel" );

    layout3->addWidget( srmhilabel, 1, 6 );

    srmlowlabel = new QLabel( this, "srmlowlabel" );

    layout3->addWidget( srmlowlabel, 0, 6 );

    oglowspin = new FixedSpinBox( this, "oglowspin" );

    layout3->addWidget( oglowspin, 0, 1 );

    srmlowspin = new QSpinBox( this, "srmlowspin" );
    srmlowspin->setMaxValue( 50 );

    layout3->addWidget( srmlowspin, 0, 7 );

    applybutton = new QPushButton( this, "applybutton" );

    layout3->addWidget( applybutton, 1, 10 );

    fglowspin = new FixedSpinBox( this, "fglowspin" );

    layout3->addWidget( fglowspin, 0, 3 );

    fghilabel = new QLabel( this, "fghilabel" );

    layout3->addWidget( fghilabel, 1, 2 );

    fghispin = new FixedSpinBox( this, "fghispin" );

    layout3->addWidget( fghispin, 1, 3 );

    srmhispin = new QSpinBox( this, "srmhispin" );
    srmhispin->setMaxValue( 50 );

    layout3->addWidget( srmhispin, 1, 7 );

    oghispin = new FixedSpinBox( this, "oghispin" );

    layout3->addWidget( oghispin, 1, 1 );

    fglowlabel = new QLabel( this, "fglowlabel" );

    layout3->addWidget( fglowlabel, 0, 2 );

    removebutton = new QPushButton( this, "removebutton" );

    layout3->addWidget( removebutton, 1, 11 );

    ibulowspin = new QSpinBox( this, "ibulowspin" );
    ibulowspin->setMaxValue( 120 );

    layout3->addWidget( ibulowspin, 0, 5 );
    StyleViewLayout->addLayout( layout3 );
    languageChange();
    resize( QSize(529, 185).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( addbutton, applybutton );
    setTabOrder( applybutton, removebutton );

    // buddies
    namelabel->setBuddy( namecombo );
}

/*
 *  Destroys the object and frees any allocated resources
 */
StyleView::~StyleView()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void StyleView::languageChange()
{
    setCaption( tr( "Styles" ) );
    stylelistview->header()->setLabel( 0, tr( "Style" ) );
    stylelistview->header()->setLabel( 1, tr( "Min. OG" ) );
    stylelistview->header()->setLabel( 2, tr( "Max. OG" ) );
    stylelistview->header()->setLabel( 3, tr( "Min. FG" ) );
    stylelistview->header()->setLabel( 4, tr( "Max.FG" ) );
    stylelistview->header()->setLabel( 5, tr( "Min. IBU" ) );
    stylelistview->header()->setLabel( 6, tr( "Max. IBU" ) );
    stylelistview->header()->setLabel( 7, tr( "Min. SRM" ) );
    stylelistview->header()->setLabel( 8, tr( "Max. SRM" ) );
    QToolTip::add( stylelistview, tr( "styles list" ) );
    QWhatsThis::add( stylelistview, tr( "<p>This list contains the available recipe styles. The items contain the minimum and maximum gravity, bitterness and color for the style. You may click on a header to sort the styles by that column.</p>" ) );
    namelabel->setText( tr( "&Name" ) );
    QToolTip::add( namecombo, tr( "Name" ) );
    QWhatsThis::add( namecombo, tr( "<p>Use this control to select your the desired style.</p>" ) );
    ibuhilabel->setText( tr( "Max. IBU" ) );
    oglowlabel->setText( tr( "Min. OG" ) );
    ibulowlabel->setText( tr( "Min. IBU" ) );
    oghilabel->setText( tr( "Max. OG" ) );
    QToolTip::add( ibuhispin, tr( "Maximum bitterness" ) );
    QWhatsThis::add( ibuhispin, tr( "<p>Use this control to select the maximum bitterness (in IBU) for the style.</p>" ) );
    addbutton->setText( QString::null );
    addbutton->setAccel( QKeySequence( tr( "Ctrl+Ins" ) ) );
    QToolTip::add( addbutton, tr( "Add style" ) );
    QWhatsThis::add( addbutton, tr( "<p>Click the button to add the style to the database.</p>\n"
"<p>You can also type <b>Ctrl+Insert</b> to add.</p>" ) );
    srmhilabel->setText( tr( "Max. SRM" ) );
    srmlowlabel->setText( tr( "Min. SRM" ) );
    QToolTip::add( oglowspin, tr( "Minimum gravity" ) );
    QWhatsThis::add( oglowspin, tr( "<p>Use this control to select the minimum specific gravity for the style.</p>" ) );
    QToolTip::add( srmlowspin, tr( "Minimum color" ) );
    QWhatsThis::add( srmlowspin, tr( "<p>Use this control to select the minimum color (in SRM) for the style.</p>" ) );
    applybutton->setText( QString::null );
    applybutton->setAccel( QKeySequence( tr( "Ctrl+Enter" ) ) );
    QToolTip::add( applybutton, tr( "Apply/Change style" ) );
    QWhatsThis::add( applybutton, tr( "<p>Click the button to apply the style to the database.</p>\n"
"<p>You can also type <b>Ctrl+Enter</b> to apply.</p>" ) );
    QToolTip::add( fglowspin, tr( "Minimum final gravity" ) );
    QWhatsThis::add( fglowspin, tr( "<p>Use this control to select the minimum final gravity for the style.</p>" ) );
    fghilabel->setText( tr( "Max. FG" ) );
    QToolTip::add( fghispin, tr( "Maximum final gravity" ) );
    QWhatsThis::add( fghispin, tr( "<p>Use this control to select the maximum final gravity for the style.</p>" ) );
    QToolTip::add( srmhispin, tr( "Maximum SRM" ) );
    QWhatsThis::add( srmhispin, tr( "<p>Use this control to select the maximu color (in SRM) for the style.</p>" ) );
    QToolTip::add( oghispin, tr( "Maximum gravity" ) );
    QWhatsThis::add( oghispin, tr( "<p>Use this control to select the maximum specific gravity for the style.</p>" ) );
    fglowlabel->setText( tr( "Min. FG" ) );
    removebutton->setText( QString::null );
    removebutton->setAccel( QKeySequence( tr( "Ctrl+Del" ) ) );
    QToolTip::add( removebutton, tr( "Remove style" ) );
    QWhatsThis::add( removebutton, tr( "<p>Click the button to remove the style from the database.</p>\n"
"<p>You can also type <b>Ctrl+Delete</b> to remove.</p>" ) );
    QToolTip::add( ibulowspin, tr( "Minimum bitterness" ) );
    QWhatsThis::add( ibulowspin, tr( "<p>Use this control to select the minimum bitterness (in IBU) for the style.</p>" ) );
}

#include "styleview.moc"
