/****************************************************************************
** Form implementation generated from reading ui file './calcdialogpage.ui'
**
** Created:
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "calcdialogpage.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "fixedspinbox.h"

/*
 *  Constructs a CalcDialogPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CalcDialogPage::CalcDialogPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "calcdialogpage" );
    calcdialogpageLayout = new QVBoxLayout( this, 11, 6, "calcdialogpageLayout"); 

    calcbox = new QGroupBox( this, "calcbox" );
    calcbox->setFrameShape( QGroupBox::GroupBoxPanel );
    calcbox->setFrameShadow( QGroupBox::Sunken );
    calcbox->setColumnLayout(0, Qt::Vertical );
    calcbox->layout()->setSpacing( 6 );
    calcbox->layout()->setMargin( 11 );
    calcboxLayout = new QGridLayout( calcbox->layout() );
    calcboxLayout->setAlignment( Qt::AlignTop );

    efficiencylabel = new QLabel( calcbox, "efficiencylabel" );

    calcboxLayout->addWidget( efficiencylabel, 2, 0 );

    unitslabel = new QLabel( calcbox, "unitslabel" );

    calcboxLayout->addWidget( unitslabel, 0, 0 );

    tinseth = new QCheckBox( calcbox, "tinseth" );

    calcboxLayout->addWidget( tinseth, 3, 0 );

    morey = new QCheckBox( calcbox, "morey" );

    calcboxLayout->addMultiCellWidget( morey, 4, 4, 0, 1 );

    efficiency = new FixedSpinBox( calcbox, "efficiency" );

    calcboxLayout->addWidget( efficiency, 2, 1 );

    units = new QComboBox( FALSE, calcbox, "units" );
    units->setDuplicatesEnabled( FALSE );

    calcboxLayout->addWidget( units, 0, 1 );
    calcdialogpageLayout->addWidget( calcbox );
    spacer = new QSpacerItem( 20, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    calcdialogpageLayout->addItem( spacer );
    languageChange();
    resize( QSize(384, 171).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    unitslabel->setBuddy( units );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CalcDialogPage::~CalcDialogPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CalcDialogPage::languageChange()
{
    setCaption( tr( "calcdialogpage" ) );
    calcbox->setTitle( tr( "Calculation Options" ) );
    efficiencylabel->setText( tr( "Mash &efficiency" ) );
    unitslabel->setText( tr( "Measurement &units" ) );
    tinseth->setText( tr( "Use &Tinseth bitterness calculation" ) );
    tinseth->setAccel( QKeySequence( tr( "Alt+T" ) ) );
    QWhatsThis::add( tinseth, tr( "<p>There are two bitterness calculations that QBrew can use.  The default method is to use the <b>Rager</b> formula. By selecting this check box, you can change the calculation to use the <b>Tinseth</b> formula.</p>" ) );
    morey->setText( tr( "Use &Morey color calculation" ) );
    morey->setAccel( QKeySequence( tr( "Alt+M" ) ) );
    QWhatsThis::add( morey, tr( "<p>There are two color calculations that QBrew can use.  The default method uses the <b>Daniels</b> formula. By selecting this check box, you can change the calculation to use the <b>Morey</b> formula.</p>" ) );
    QWhatsThis::add( efficiency, tr( "<p>Enter your mash efficiency. Everyone will have a slightly different mash efficiency that depends on their equipment and habits. A good default to use if you do not know this is 0.75.</p>" ) );
    QWhatsThis::add( units, tr( "<p>Select the units of measurement you wish to use. Your choices are \"<b>Metric</b>\" and \"<b>US</b>\".</p>" ) );
}

#include "calcdialogpage.moc"
