/****************************************************************************
** Form implementation generated from reading ui file './grainview.ui'
**
** Created:
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "grainview.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "fixedspinbox.h"

/*
 *  Constructs a GrainView as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GrainView::GrainView( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "grainview" );
    grainviewLayout = new QVBoxLayout( this, 8, 4, "grainviewLayout"); 

    grainslistview = new QListView( this, "grainslistview" );
    grainslistview->addColumn( tr( "Grain" ) );
    grainslistview->addColumn( tr( "Quantity" ) );
    grainslistview->addColumn( tr( "Extract" ) );
    grainslistview->addColumn( tr( "Color" ) );
    grainslistview->addColumn( tr( "Use" ) );
    grainslistview->setFrameShape( QListView::StyledPanel );
    grainslistview->setFrameShadow( QListView::Sunken );
    grainslistview->setAllColumnsShowFocus( TRUE );
    grainslistview->setShowSortIndicator( TRUE );
    grainviewLayout->addWidget( grainslistview );

    layout1 = new QHBoxLayout( 0, 0, 4, "layout1"); 

    namelabel = new QLabel( this, "namelabel" );
    layout1->addWidget( namelabel );

    namecombo = new QComboBox( FALSE, this, "namecombo" );
    namecombo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 1, 0, namecombo->sizePolicy().hasHeightForWidth() ) );
    namecombo->setEditable( TRUE );
    namecombo->setAutoCompletion( TRUE );
    namecombo->setDuplicatesEnabled( FALSE );
    layout1->addWidget( namecombo );
    grainviewLayout->addLayout( layout1 );

    layout7 = new QHBoxLayout( 0, 0, 4, "layout7"); 

    quantitylabel = new QLabel( this, "quantitylabel" );
    layout7->addWidget( quantitylabel );

    quantityspin = new FixedSpinBox( this, "quantityspin" );
    quantityspin->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, quantityspin->sizePolicy().hasHeightForWidth() ) );
    layout7->addWidget( quantityspin );

    extractlabel = new QLabel( this, "extractlabel" );
    layout7->addWidget( extractlabel );

    extractspin = new FixedSpinBox( this, "extractspin" );
    extractspin->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, extractspin->sizePolicy().hasHeightForWidth() ) );
    layout7->addWidget( extractspin );

    colorlabel = new QLabel( this, "colorlabel" );
    layout7->addWidget( colorlabel );

    colorspin = new FixedSpinBox( this, "colorspin" );
    colorspin->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, colorspin->sizePolicy().hasHeightForWidth() ) );
    layout7->addWidget( colorspin );

    uselabel = new QLabel( this, "uselabel" );
    layout7->addWidget( uselabel );

    usecombo = new QComboBox( FALSE, this, "usecombo" );
    layout7->addWidget( usecombo );
    spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer1 );

    addbutton = new QPushButton( this, "addbutton" );
    layout7->addWidget( addbutton );

    applybutton = new QPushButton( this, "applybutton" );
    layout7->addWidget( applybutton );

    removebutton = new QPushButton( this, "removebutton" );
    layout7->addWidget( removebutton );
    grainviewLayout->addLayout( layout7 );
    languageChange();
    resize( QSize(486, 156).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( grainslistview, namecombo );
    setTabOrder( namecombo, usecombo );
    setTabOrder( usecombo, addbutton );
    setTabOrder( addbutton, applybutton );
    setTabOrder( applybutton, removebutton );

    // buddies
    namelabel->setBuddy( namecombo );
    uselabel->setBuddy( usecombo );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GrainView::~GrainView()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GrainView::languageChange()
{
    setCaption( tr( "Grains" ) );
    grainslistview->header()->setLabel( 0, tr( "Grain" ) );
    grainslistview->header()->setLabel( 1, tr( "Quantity" ) );
    grainslistview->header()->setLabel( 2, tr( "Extract" ) );
    grainslistview->header()->setLabel( 3, tr( "Color" ) );
    grainslistview->header()->setLabel( 4, tr( "Use" ) );
    QToolTip::add( grainslistview, tr( "Grains list" ) );
    QWhatsThis::add( grainslistview, tr( "<p>This list contains the grains entered in the recipe. The items contain the name, quantity, extract, color and use for the grain. You may click on a header to sort the grains by that column.</p>" ) );
    namelabel->setText( tr( "&Name" ) );
    QToolTip::add( namecombo, tr( "Name" ) );
    QWhatsThis::add( namecombo, tr( "<p>Use this control to select your the desired grain</p>" ) );
    quantitylabel->setText( tr( "&Quantity" ) );
    QToolTip::add( quantityspin, tr( "Quantity" ) );
    QWhatsThis::add( quantityspin, tr( "<p>Use this control to enter the quantity of this grain</p>\n"
"<p>The units of measurement (US or Metric) can be set in the configuration dialog</p>" ) );
    extractlabel->setText( tr( "&Extract" ) );
    QToolTip::add( extractspin, tr( "Extract" ) );
    QWhatsThis::add( extractspin, tr( "<p>Use this control to enter the extract of this item.</p>\n"
"<p><em>Extract</em> is the amount of solubles in the grain, and is measured in specific gravity.</p>" ) );
    colorlabel->setText( tr( "&Color" ) );
    QToolTip::add( colorspin, tr( "Color" ) );
    QWhatsThis::add( colorspin, tr( "<p>Use this control to enter the color of this item.</p>\n"
"<p><em>Color</em> is the potential color the grain adds to the recipe, and is measured in degrees Lovibond.</p>" ) );
    uselabel->setText( tr( "&Use" ) );
    QToolTip::add( usecombo, tr( "Use" ) );
    QWhatsThis::add( usecombo, tr( "<p>Use this control to select the usage of this item.</p>\n"
"p>Select <em>extract</em> for malt extracts and sugars, <em>mashed</em> for grains to be mashed, and <em>steeped</em> for grains to be steeped.</p>" ) );
    addbutton->setText( QString::null );
    addbutton->setAccel( QKeySequence( tr( "Ctrl+Ins" ) ) );
    QToolTip::add( addbutton, tr( "Add Grain" ) );
    QWhatsThis::add( addbutton, tr( "<p>Click the button to add the ingredient to the recipe.</p>\n"
"<p>You can also type <b>Ctrl+Insert</b> to add.</p>" ) );
    applybutton->setText( QString::null );
    applybutton->setAccel( QKeySequence( tr( "Ctrl+Enter" ) ) );
    QToolTip::add( applybutton, tr( "Apply/Change Grain" ) );
    QWhatsThis::add( applybutton, tr( "<p>Click the button to apply the ingredient to the recipe.</p>\n"
"<p>You can also type <b>Ctrl+Enter</b> to apply.</p>" ) );
    removebutton->setText( QString::null );
    removebutton->setAccel( QKeySequence( tr( "Ctrl+Del" ) ) );
    QToolTip::add( removebutton, tr( "Remove Grain" ) );
    QWhatsThis::add( removebutton, tr( "<p>Click the button to remove the ingredient from the recipe.</p>\n"
"<p>You can also type <b>Ctrl+Delete</b> to remove.</p>" ) );
}

#include "grainview.moc"
