/****************************************************************************
** Form implementation generated from reading ui file './hydrometerdialog.ui'
**
** Created:
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "hydrometerdialog.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "fixedspinbox.h"

/*
 *  Constructs a HydrometerDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
HydrometerDialog::HydrometerDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "hydrometertool" );
    hydrometertoolLayout = new QVBoxLayout( this, 11, 6, "hydrometertoolLayout"); 

    groupbox = new QGroupBox( this, "groupbox" );
    groupbox->setFrameShape( QGroupBox::GroupBoxPanel );
    groupbox->setFrameShadow( QGroupBox::Sunken );
    groupbox->setColumnLayout(0, Qt::Vertical );
    groupbox->layout()->setSpacing( 6 );
    groupbox->layout()->setMargin( 11 );
    groupboxLayout = new QGridLayout( groupbox->layout() );
    groupboxLayout->setAlignment( Qt::AlignTop );

    sample = new FixedSpinBox( groupbox, "sample" );

    groupboxLayout->addWidget( sample, 0, 1 );

    corrected = new QLabel( groupbox, "corrected" );

    groupboxLayout->addWidget( corrected, 4, 1 );

    correctedlabel = new QLabel( groupbox, "correctedlabel" );

    groupboxLayout->addWidget( correctedlabel, 4, 0 );

    reading = new FixedSpinBox( groupbox, "reading" );

    groupboxLayout->addWidget( reading, 2, 1 );

    calibrated = new FixedSpinBox( groupbox, "calibrated" );

    groupboxLayout->addWidget( calibrated, 1, 1 );

    readinglabel = new QLabel( groupbox, "readinglabel" );

    groupboxLayout->addWidget( readinglabel, 2, 0 );

    samplelabel = new QLabel( groupbox, "samplelabel" );

    groupboxLayout->addWidget( samplelabel, 0, 0 );

    calibratedlabel = new QLabel( groupbox, "calibratedlabel" );

    groupboxLayout->addWidget( calibratedlabel, 1, 0 );
    spacerone = new QSpacerItem( 12, 12, QSizePolicy::Minimum, QSizePolicy::Fixed );
    groupboxLayout->addItem( spacerone, 3, 0 );
    hydrometertoolLayout->addWidget( groupbox );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 
    spacertwo = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacertwo );

    finished = new QPushButton( this, "finished" );
    finished->setDefault( TRUE );
    layout1->addWidget( finished );
    hydrometertoolLayout->addLayout( layout1 );
    languageChange();

    // signals and slots connections
    connect( finished, SIGNAL( clicked() ), this, SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
HydrometerDialog::~HydrometerDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HydrometerDialog::languageChange()
{
    setCaption( tr( "Hydrometer Tool" ) );
    groupbox->setTitle( tr( "Hydrometer" ) );
    corrected->setText( tr( "9.999" ) );
    correctedlabel->setText( tr( "Corrected reading" ) );
    readinglabel->setText( tr( "&Hydrometer reading" ) );
    samplelabel->setText( tr( "&Sample temperature" ) );
    calibratedlabel->setText( tr( "&Calibrated temperature" ) );
    finished->setText( tr( "&Finished" ) );
    finished->setAccel( QKeySequence( tr( "Alt+F" ) ) );
}

#include "hydrometerdialog.moc"
