/****************************************************************************
** Form implementation generated from reading ui file './miscview.ui'
**
** Created:
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "miscview.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "fixedspinbox.h"

/*
 *  Constructs a MiscView as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MiscView::MiscView( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "miscview" );
    miscviewLayout = new QVBoxLayout( this, 8, 4, "miscviewLayout"); 

    misclistview = new QListView( this, "misclistview" );
    misclistview->addColumn( tr( "Item" ) );
    misclistview->addColumn( tr( "Quantity" ) );
    misclistview->addColumn( tr( "Notes" ) );
    misclistview->setFrameShape( QListView::StyledPanel );
    misclistview->setFrameShadow( QListView::Sunken );
    misclistview->setAllColumnsShowFocus( TRUE );
    misclistview->setShowSortIndicator( TRUE );
    miscviewLayout->addWidget( misclistview );

    layout6 = new QHBoxLayout( 0, 0, 4, "layout6"); 

    namelabel = new QLabel( this, "namelabel" );
    layout6->addWidget( namelabel );

    namecombo = new QComboBox( FALSE, this, "namecombo" );
    namecombo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 1, 0, namecombo->sizePolicy().hasHeightForWidth() ) );
    namecombo->setEditable( TRUE );
    namecombo->setAutoCompletion( TRUE );
    namecombo->setDuplicatesEnabled( FALSE );
    layout6->addWidget( namecombo );
    miscviewLayout->addLayout( layout6 );

    layout7 = new QHBoxLayout( 0, 0, 4, "layout7"); 

    quantitylabel = new QLabel( this, "quantitylabel" );
    layout7->addWidget( quantitylabel );

    quantityspin = new FixedSpinBox( this, "quantityspin" );
    quantityspin->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, quantityspin->sizePolicy().hasHeightForWidth() ) );
    layout7->addWidget( quantityspin );

    noteslabel = new QLabel( this, "noteslabel" );
    layout7->addWidget( noteslabel );

    notesedit = new QLineEdit( this, "notesedit" );
    notesedit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 1, 0, notesedit->sizePolicy().hasHeightForWidth() ) );
    layout7->addWidget( notesedit );
    spacer1 = new QSpacerItem( 29, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer1 );

    addbutton = new QPushButton( this, "addbutton" );
    layout7->addWidget( addbutton );

    applybutton = new QPushButton( this, "applybutton" );
    layout7->addWidget( applybutton );

    removebutton = new QPushButton( this, "removebutton" );
    layout7->addWidget( removebutton );
    miscviewLayout->addLayout( layout7 );
    languageChange();
    resize( QSize(326, 156).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    namelabel->setBuddy( namecombo );
    noteslabel->setBuddy( notesedit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MiscView::~MiscView()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MiscView::languageChange()
{
    setCaption( tr( "Miscellaneous" ) );
    misclistview->header()->setLabel( 0, tr( "Item" ) );
    misclistview->header()->setLabel( 1, tr( "Quantity" ) );
    misclistview->header()->setLabel( 2, tr( "Notes" ) );
    QToolTip::add( misclistview, tr( "Miscellaneous list" ) );
    QWhatsThis::add( misclistview, tr( "<p>This list contains the miscellaneous ingredients entered in the recipe. Yeast, finings, and miscellaneous flavorings will be entered here. The items contain the name, quantity, and notes for the ingredient. You may click on a header to sort the ingredients by that column.</p>" ) );
    namelabel->setText( tr( "&Name" ) );
    QToolTip::add( namecombo, tr( "Name" ) );
    QWhatsThis::add( namecombo, tr( "<p>Use this control to select your the desired ingredient.</p>" ) );
    quantitylabel->setText( tr( "&Quantity" ) );
    QToolTip::add( quantityspin, tr( "Quantity" ) );
    QWhatsThis::add( quantityspin, tr( "<p>Use this control to enter the quantity of this item.</p>" ) );
    noteslabel->setText( tr( "No&tes" ) );
    QToolTip::add( notesedit, tr( "Notes" ) );
    QWhatsThis::add( notesedit, tr( "<p>Use this field to list any notes on the item, such as form, attenuation, or other factors.</p>" ) );
    addbutton->setText( QString::null );
    addbutton->setAccel( QKeySequence( tr( "Ctrl+Ins" ) ) );
    QToolTip::add( addbutton, tr( "Add Ingredient" ) );
    QWhatsThis::add( addbutton, tr( "<p>Click the button to add the ingredient to the recipe.</p>\n"
"<p>You can also type <b>Ctrl+Insert</b> to add.</p>" ) );
    applybutton->setText( QString::null );
    applybutton->setAccel( QKeySequence( tr( "Ctrl+Enter" ) ) );
    QToolTip::add( applybutton, tr( "Apply/Change Ingredient" ) );
    QWhatsThis::add( applybutton, tr( "<p>Click the button to apply the ingredient to the recipe.</p>\n"
"<p>You can also type <b>Ctrl+Enter</b> to apply.</p>" ) );
    removebutton->setText( QString::null );
    removebutton->setAccel( QKeySequence( tr( "Ctrl+Del" ) ) );
    QToolTip::add( removebutton, tr( "Remove Ingredient" ) );
    QWhatsThis::add( removebutton, tr( "<p>Click the button to remove the ingredient from the recipe.</p>\n"
"<p>You can also type <b>Ctrl+Delete</b> to remove.</p>" ) );
}

#include "miscview.moc"
