/****************************************************************************
** Form implementation generated from reading ui file './noteview.ui'
**
** Created:
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "noteview.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NoteView as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NoteView::NoteView( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "noteview" );
    noteviewLayout = new QVBoxLayout( this, 8, 4, "noteviewLayout"); 

    recipelabel = new QLabel( this, "recipelabel" );
    recipelabel->setFrameShape( QLabel::NoFrame );
    recipelabel->setFrameShadow( QLabel::Plain );
    noteviewLayout->addWidget( recipelabel );

    recipeedit = new QTextEdit( this, "recipeedit" );
    noteviewLayout->addWidget( recipeedit );

    batchlabel = new QLabel( this, "batchlabel" );
    noteviewLayout->addWidget( batchlabel );

    batchedit = new QTextEdit( this, "batchedit" );
    noteviewLayout->addWidget( batchedit );
    languageChange();
    resize( QSize(128, 216).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    recipelabel->setBuddy( recipeedit );
    batchlabel->setBuddy( batchedit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NoteView::~NoteView()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NoteView::languageChange()
{
    setCaption( tr( "Notes" ) );
    recipelabel->setText( tr( "&Recipe Notes" ) );
    QToolTip::add( recipeedit, tr( "Recipe Notes" ) );
    QWhatsThis::add( recipeedit, tr( "<p>Use this form to enter in any notes relating to the recipe, such as specific brewing procedures or awards.</p>" ) );
    batchlabel->setText( tr( "&Batch Notes" ) );
    QToolTip::add( batchedit, tr( "Recipe Notes" ) );
    QWhatsThis::add( batchedit, tr( "<p>Use this form to enter in any notes relating to brewing batches of this recipe, such as brew and bottling dates.</p>" ) );
}

#include "noteview.moc"
